Hi,

At Wed, 25 Apr 2007 22:40:28 +0900,
Michal Suchanek wrote in [ruby-core:11020]:
> A patch that really fixes the problem for me. It also fixes the weird
> miniruby crash while loading extensions.

> +    argvptr = strrchr(origargv[0], '/');
> +    if(!argvptr) argvptr = origargv[0];
> +    if(!strstr(argvptr, "miniruby")) {

I do not like to include miniruby specific code and remain in
installed version.  If the problem were just for extensions,
linking dmydln.o would solve it...

-- 
Nobu Nakada